Bug 127548 - SNAT rule works only for a short time
SNAT rule works only for a short time
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 12:27 EDT by Adi Linden
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adi Linden 2004-07-09 12:27:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
I am using LVS-NAT on a RedHat AS3.0 server. The lvs part appears to
be working ok. One of the servers behind the LVS director is a mail
server. Outbound connections originating from the mail server need to
be translated to the virtual ip of the mail server, not the ip of the
redirect server. To accomplish this I installed a SNAT rule on the
director like this:

    iptables -v -t nat -I POSTROUTING -s 172.28.1.25 -j SNAT
--to-source 66.165.220.47

After a reboot the director works just fine for several hours, but
eventually the real server looses all connectivity to the outside
world. This applies to traffic originating from the server as well as
traffic destined for the server and proccessed by LVS rather then
iptables. I have been unable to find any cause for this problem. The
only thing that brings things back to live is a reboot of the director.

Version-Release number of selected component (if applicable):
iptables-1.2.8-12.3

How reproducible:
Always

Steps to Reproduce:
1. Wait for the director to stop passing traffic from the server.
There is no apparent trigger, it just quits working.

Actual Results:  The director no longer passes traffic for the server.
The server looses all connectivity to the outside world.

Additional info:
Comment 1 Thomas Woerner 2004-08-16 11:35:05 EDT
This is a netfilter kernel problem, not a optables userland problem.
Comment 2 RHEL Product and Program Management 2007-10-19 15:22:50 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.